For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportDiscordGo to dashboard
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
HomeDocsAPI ReferenceLiquidity IntegrationChangelog
    • API Overview
  • EVM APIs
  • Solana Swap APIs
  • Cross-Chain APIs
      • GETgetQuotes
      • GETgetStatus
      • GETlistSources
      • GETgetTxHistory
      • GETstreamQuotes
LogoLogo
Contact SupportDiscordGo to dashboard
Cross-Chain APIsCross Chain

listSources

||View as Markdown|
GET
https://api.0x.org/cross-chain/sources
GET
/cross-chain/sources
$curl https://api.0x.org/cross-chain/sources \
> -H "0x-api-key: 0x-api-key" \
> -H "Content-Type: application/json"
1{
2 "bridges": [
3 {
4 "name": "Hop Protocol",
5 "chainPairs": [
6 {
7 "originChainId": 1,
8 "destinationChainId": 137
9 },
10 {
11 "originChainId": 137,
12 "destinationChainId": 1
13 }
14 ]
15 },
16 {
17 "name": "Polygon Bridge",
18 "chainPairs": [
19 {
20 "originChainId": 1,
21 "destinationChainId": 137
22 }
23 ]
24 }
25 ],
26 "swapSources": [
27 {
28 "name": "Uniswap V3",
29 "chainIds": [
30 1,
31 137,
32 56
33 ]
34 },
35 {
36 "name": "SushiSwap",
37 "chainIds": [
38 1,
39 137,
40 250
41 ]
42 }
43 ],
44 "zid": "0x123abc456def7890"
45}
List available swap and bridge sources for a cross chain swap
Was this page helpful?
Previous

getStatus

Next

getTxHistory

Built with

Headers

0x-api-keystringRequired
Visit dashboard.0x.org to get your API Key

Response

Successful response
bridgeslist of objects
The array of bridge providers and their supported chain pairs
swapSourceslist of objects
The array of liquidity sources and their supported chains
zidstring
The unique ZeroEx identifier of the request

Errors

400
Bad Request Error
500
Internal Server Error